Subject: Re: Discussion of Separation of parts

From: [email-masked]
Date: Wed, 14 Dec 2005 16:27:57 +0000

Spencer, 
thanks for drawing focus back to what RFC's are supposed to be used for...

The real issue here is that this WG wants to make an RFC a publicly reference-able document for any and all purposes, and that is not what RFC's were designed as or have been to date, except by the IETF's failure to enforce its own IP Management Rules.

RFC's represent a initiative that is in flux within A WG and not one ready for prime-time, and so it is inappropriate for any use of those RFC's that is not in-line with advancing that particular standard ***within*** the IETF's process.

---

Unfortunately for the IETF, that means that Debian, or Sun or anyone outside of the WG or the Editors themselves, doesnt get to publish or republish any submitted IP's (RFC's or I-D's) until those RFC's are advanced to a Publicly Comment-able Standard and then they can only be used for commentary involved in the standardization process as far as I can tell...  As such the Teachers you referenced dont get to use the RFC's for teaching anything in their classes since those efforts do not advance that particular standard within that WG's effort for which the expectation of publication was created.

If the IETF allows this type of use of its IP's then it has in no uncertain terms contractually breached the agreement between the Submitter and the IETF itself, and as such the entire contract is null and void making those IP's the sole property of the submitter (or their sponsor - assuming they didnt steal them from somewhere).

Todd Glassey
 -------------- Original message ----------------------
From: "Spencer Dawkins" <[email-masked]>
> I would like to take the "teachers can use the RFC in whole as a teaching 
> tool" completely off the table. This is not the problem that people are 
> worried about.
> 
> Can we at least think about text that would say that use of modified RFC 
> text at an educational institution for teaching purposes would be OK, while 
> use of modified RFC text by others is not?
> 
> Although it was no model of simplicity, I note that early Unix licenses were 
> not the same for UCB as they were for (to name one, that I was familiar 
> with) Northern Telecom, because Bell Labs assumed that what UCB was going to 
> do with the license was different than what Northern Telecom was going to do 
> with the license.
> 
> If a modified RFC, distributed only as class material to other educational 
> institutions for use as class material, becomes a significant source of 
> broken interoperability in the Internet, we have a lot more problems than 
> open-source compatibility to worry about.
> 
> And, if this is a bad idea for the usual IPR reasons that I don't know 
> about, I'll let you guys continue to have fun.
> 
> Thanks,
> 
> Spencer
> 
> >> I believe that the wording is such that teachers can use the RFC in
> >> whole as a teaching tool.  And if we separate the code components,
> >> they can use those code components in class assignments, experiments,
> >> or anything else.
> >
> > The example I got was that the teacher would modify the RFC and
> > include it in a exercise for students.  It could to implement it, or
> > to identify what problem the modification leads to, or to study if the
> > protocol would become better with the modification.  It sounds
> > conceivable that some protocol improvement have started out as
> > "what-if" experiments.  Being able to redistribute that course
> > material is important.  I don't see how the current wording permit
> > anything like this. 
> 
> 
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ipr-wg

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg